Name: freesci
Version: 0.3.5
Release: alt1

Summary: Interpreter for playing Sierra Games
Summary (ru_RU.UTF-8):      Sierra
License: GPL
Group: Games/Adventure
Url: http://freesci.linuxgames.com/
Source0: %name-%version.tar.bz2
Source1: %name-setup
Source2: config.template
Packager: Fr. Br. George <george@altlinux.ru>
#BuildRequires: XFree86-devel-static XFree86-libs aalib flex fontconfig freetype2 libSDL-devel libalsa2 libarts libaudiofile libexpat libgii-devel libggi-devel libslang

# Automatically added by buildreq on Mon Jul 10 2006
BuildRequires: flex libSDL-devel libXft-devel libXi-devel libalsa-devel openmotif-devel

%description
FreeSCI is a portable interpreter for SCI games, such as the Space Quest
series (starting with SQ3) or Leisure Suit Larry (2 and sequels).

It has the following improvements over Sierra SCI:
- SCI0 background pictures can be rendered in higher resolutions and 256 colors
- saving and restoring the game state is possible from more places than the
  Sierra SCI engine allowed (using the debugger functions)
- Better debugger (we believe :-)
- More portable
- It's Free software :-)

FreeSCI is still incomplete. You should be able to finish some SCI games with
it.

%description -l ru_RU.UTF-8
FreeSCI -   SCI   Sierra,    Space Quest
(  SQ3)  Leisure Suit Larry (2  ).

 FreeSCI     Sierra:
-      256     ;
-        ;
-  ;
- ;
-    :)

  FreeSCI ݣ   .       
       .

%package tools
Summary: Tools and utilities for working with Sierra resource files
Summary (ru_RU.UTF-8):        Sierra
Group: Games/Adventure
Requires: %name

%description tools
This package includes: sciconsole is a command console for inspection of SCI data, 
scidisasm disassembles all script resources into .script files, sciunpack is a 
tool for unpacking, printing, and converting SCI resource data

%description tools -l ru_RU.UTF-8
     : sciconsole -   
   SCI, scidisasm -    sciunpack - 
 ,     SCI.

%prep
%setup -q

%build
%configure --with-console --with-x
%make_build

%install
%makeinstall
install -m755 %SOURCE1 $RPM_BUILD_ROOT%_bindir/%name-setup
install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_datadir/games/%name/config.template
install -m644 -D desktop/freesci.png $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png
# Menu
%__mkdir -p $RPM_BUILD_ROOT%_menudir
%__cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name-setup" needs="X11" \
section="Amusement/Adventure" title="FreeSCI Setup" \
longtitle="Graphical setup utility for FreeSCI" icon="%name.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/freesci
%_bindir/sciv
%_bindir/freesci-setup
%_datadir/games/%name
%_datadir/pixmaps/%name.png
%_menudir/%name
%_man6dir/freesci.6*
%doc AUTHORS ChangeLog COPYING NEWS THANKS TODO README README.Unix
%_datadir/applnk/Games/Adventure/FreeSCI.desktop
%_datadir/config.template
%_datadir/icons/hicolor/48x48/apps/freesci.png

%files tools
%_bindir/sciconsole
%_bindir/scidisasm
%_bindir/sciunpack
%_bindir/scipack
%_man6dir/freesci-tools.6*
%doc doc/sci.sgml doc/misc/*.txt* doc/misc/*.c* doc/misc/*.htm*

%changelog
* Mon Jul 10 2006 Fr. Br. George <george@altlinux.ru> 0.3.5-alt1
- new version

* Wed Dec 01 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.3-alt2
- Fixed menu path

* Thu Nov 21 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.3-alt1
- ALTLinux build
